
// Custom Modal
aot-custom-popup{
  position: fixed;
  z-index: 1031;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  overflow-x: hidden;
  overflow-y: auto;
  min-height: 100vh;
  display: flex;
  flex-flow: column wrap;
  justify-content: center;
  align-items: flex-start;
  visibility: hidden;
  opacity: 0;
  transition: all ease 0.4s;
  .custom-popup-background{
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba($black, 0.3);
  }
  .custom-popup-close{
    // position: absolute;
    // top: 0;
    // right: 0;
    // z-index: 999;
  }
  .custom-popup-content-container{
    min-width: 100%;
    max-width: 100%;
    position: relative;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: flex-start;
    z-index: 1;
    overflow: auto;
    .custom-popup-content{
      min-width: rem(300);
      max-width: 100%;
      height: auto;
      visibility: hidden;
      background: $white;
      margin: rem(30);
      opacity: 0;
      transform: translateY(-100%);
      transition: all ease 0.4s;
      &.fullwidth-popup {
        max-width: 100%;
        width: 100%;
        max-height: 100%;
        height: 100%;
        overflow: hidden;
        opacity: 1;
        margin: 0;
      }
      &.sidebar {
        width: rem(300);
        position: fixed;
        right: auto;
        top: 0;
        bottom: 0;
        margin: 0;
      }
      &.no-effect{
        @include no-effect-hidden();
      }
      &.zoom-in-out{
        @include zoom-out();
      }
      &.left {
        @include slide-out('left');
      }
    }
  }
  &.custom-modal-opened{
    visibility: visible;
    opacity: 1;
    .custom-popup-content{
      visibility: visible;
      opacity: 1;
      transform: translateY(0%);
      &.no-effect{
        @include no-effect-shown();
      }
      &.zoom-in-out{
        @include zoom-in();
      }
      &.left {
        @include slide-in('left');
      }
    }
  }
}